# gmp_strval

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_strval — Convert GMP number to string

### Description

gmp_strval ( GMP `$gmpnumber` [, int `$base` = 10 ] ) : string

Convert GMP number to string representation in base `base`. The default base is 10.

### Parameters

`gmpnumber`

  The GMP number that will be converted to a string.

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

`base`

  The base of the returned number. The default base is 10. Allowed values for the base are from 2 to 62 and -2 to -36.

### Return Values

The number, as a string.

### Changelog

Version | Description
--- | ---
5.3.2 | The `base` was extended from 2 to 36, to 2 to 62 and -2 to -36.

### Notes

> Note:

> To use the extended base introduced in PHP 5.3.2, then PHP must be compiled against GMP 4.2.0 or greater.

### Examples

Example #1 Converting a GMP number to a string

`<?php
$a = gmp_init("0x41682179fbf5");
printf("Decimal: %s, 36-based: %s", gmp_strval($a), gmp_strval($a,36));
?>`